Bug 24165 - Updates from priority.redhat.com fail to install because of dependencies
Updates from priority.redhat.com fail to install because of dependencies
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-16 19:16 EST by Becky Miller
Modified: 2016-11-24 10:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-16 19:16:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Becky Miller 2001-01-16 19:16:40 EST
RPMs for RH 7 were downloaded from priority.redhat.com and installed using
rpm -Fvh.  The output showing dependencies is shown below.  This same
process worked without errors about a month ago.  I entered this bug under
glibs but other packages are affected also.


error: failed dependencies:
        glibc-common = 2.2 is needed by glibc-2.2-12
        /usr/bin/getent   is needed by stunnel-3.10-2
        libmysqlclient.so.9 is needed by php-mysql-4.0.3pl1-1
Comment 1 Jakub Jelinek 2001-01-17 05:09:49 EST
If you e.g. look at the errata page, it clearly states that one should
upgrade:
rpm -Uvh glibc-2.2-12* glibc-common-2.2-12*
rpm -Fvh glibc-devel-2.2-12* glibc-profile-2.2-12* nscd-2.2-12*
(glibc was split into glibc and glibc-common, thus rpm -F won't work on it).

Note You need to log in before you can comment on or make changes to this bug.